%define	_semiver	1.14.4
%define	_flimver	1.14.4
%define	_apelver	10.4
%define	_emacsver	21.1
%define	_xemacsver	21.4.6

%define	_lispdir	%{_datadir}/emacs/site-lisp
%define _pkgdir		%{_datadir}/xemacs/xemacs-packages
%define _wlpixdir	%{_datadir}/pixmaps/wl

Summary: An IMAP4, POP, and NNTP client for Emacs.
Name: wl
Version: 2.10.1
Release: 1.1
License: GPL
Group: Applications/Internet
URL: http://www.gohome.org/wl/
Source0: wl-%{version}.tar.gz
Source1: wl-init.el
Source2: ftp://ftp.m17n.org/pub/mule/semi/semi-1.14-for-flim-1.14/semi-%{_semiver}.tar.gz
Patch1: wl-icon-dir.patch
Patch2: wl-CFG-semi.patch
Patch100: semi-info.patch
Patch107: semi-1.13.7-makeinfo.patch
Patch110: semi-cfg.patch
Patch111: semi-1.14.3-CAN-2003-0440.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: emacs >= %{_emacsver}, flim >= %{_flimver}, apel >= %{_apelver}
BuildArch: noarch
Requires: emacs >= %{_emacsver}, wl-common = %{version}, flim >= %{_flimver}, apel >= %{_apelver}
Provides: semi = %{_semiver}
Obsoletes: tm, semi

%package xemacs
Summary: An IMAP4, POP, and NNTP client for XEmacs.
Requires: xemacs >= %{_xemacsver}
Requires: wl-common = %{version}, flim-xemacs >= %{_flimver}, apel-xemacs >= %{_apelver}
BuildRequires: xemacs >= %{_xemacsver}, flim-xemacs >= %{_flimver}, apel-xemacs >= %{_apelver}
Group: Applications/Internet
Provides: semi-xemacs = %{_semiver}
Obsoletes: semi-xemacs


%package common
Summary: An IMAP4, POP, and NNTP client for Emacs and XEmacs.
Group: Applications/Internet
PreReq(post,preun): /sbin/install-info

%description 
Wanderlust is an IMAP4, POP, and NNTP client for Emacsen.
It supports MIME and Virtual/Archived/MH Local folders.

This package is for GNU Emacs. For XEmacs you need to install wl-xemacs.

%description xemacs
Wanderlust is an IMAP4, POP, and NNTP client for Emacsen.
It supports MIME and Virtual/Archived/MH Local folders.

This package is for XEmacs.

%description common
Wanderlust is an IMAP4, POP, and NNTP client for Emacsen.
It supports MIME and Virtual/Archived/MH Local folders.

This package contains the common files for wl and wl-xemacs.


%prep
%setup -q -a 2
%patch1 -p1 -b .icondir
%patch2 -p1 -b .path

(cd semi-%{_semiver}
%patch100 -p1 -b .info 
%patch107 -p1 -b .smi
%patch110 -p1 -b .cfg
%patch111 -p1 -b .mktmp
)

%build

%install
rm -rf %buildroot

( cd semi-%{_semiver}
############### semi for Emacs #################

### semi (build-depends: flim)
make LISPDIR=%buildroot%{_lispdir}
make LISPDIR=%buildroot%{_lispdir} info
make LISPDIR=%buildroot%{_lispdir} install
make clean

############### semi XEmacs ##################

### semi (build-depends: flim)
make EMACS=xemacs PACKAGEDIR=%buildroot%{_pkgdir} install-package

################# Info and other Docs. #####################

### Info
mkdir -p %buildroot%{_datadir}/info
install -m 644 mime-ui-en.info mime-ui-ja.info %buildroot%{_datadir}/info

(cd %buildroot%{_datadir}/info && \
	nkf --euc < mime-ui-ja.info > mime-ui-ja.info.euc && \
	mv mime-ui-ja.info.euc mime-ui-ja.info )

### Other documentations.
mkdir -p doc

for f in ChangeLog README.en NEWS TODO VERSION; do \
	(gzip -v9 $f && install -m 644 $f.gz doc); done
)

################# wl #################

%{__mkdir_p} %buildroot%{_lispdir}/{wl/utils,site-start.d}
%{__mkdir_p} %buildroot%{_pkgdir}/lisp/wl/utils
%{__mkdir_p} %buildroot%{_datadir}/info

################# wl (for GNU Emacs) #################

cd $RPM_BUILD_DIR/wl-%{version}

make LISPDIR=%buildroot%{_lispdir} PIXMAPDIR=%buildroot%{_wlpixdir}
make INFODIR=%buildroot%{_datadir}/info info
make LISPDIR=%buildroot%{_lispdir} PIXMAPDIR=%buildroot%{_wlpixdir} install
make INFODIR=%buildroot%{_datadir}/info install-info

for f in utils/*.el*; do \
	%{__install} -m 644 $f %buildroot%{_lispdir}/wl/utils ; done

%{__install} -m 644 %SOURCE1 %buildroot%{_lispdir}/site-start.d

make clean


################# wl-xemacs (for XEmacs) #################

make PACKAGEDIR=%buildroot%{_pkgdir} PIXMAPDIR=%buildroot%{_wlpixdir} \
	package
make PACKAGEDIR=%buildroot%{_pkgdir} PIXMAPDIR=%buildroot%{_wlpixdir} \
	install-package

for f in utils/*.el*; do \
	%{__install} -m 644 $f %buildroot%{_pkgdir}/lisp/wl/utils ; done

rmdir %buildroot%{_pkgdir}/etc/wl %buildroot%{_pkgdir}/etc
rm -r %buildroot%{_pkgdir}/info

%clean
rm -rf %buildroot

%post common
/sbin/install-info /usr/share/info/mime-ui-ja.info \
	/usr/share/info/dir --section="MIME Interface"

/sbin/install-info /usr/share/info/mime-ui-en.info \
	/usr/share/info/dir --section="MIME Interface"

/sbin/install-info %{_infodir}/wl.info.gz %{_infodir}/dir
/sbin/install-info %{_infodir}/wl-ja.info.gz %{_infodir}/dir

%preun common
/sbin/install-info --delete \
	/usr/share/info/mime-ui-ja.info /usr/share/info/dir \
	--section="MIME Interface"

/sbin/install-info --delete /usr/share/info/mime-ui-en.info \
	/usr/share/info/dir --section="MIME Interface"

/sbin/install-info --delete %{_infodir}/wl.info.gz %{_infodir}/dir
/sbin/install-info --delete %{_infodir}/wl-ja.info.gz %{_infodir}/dir

%files
%defattr(-,root,root)
%{_lispdir}/semi
%{_lispdir}/site-start.d/wl-init.el
%{_lispdir}/wl

%files xemacs
%defattr(-,root,root)
%{_pkgdir}

%files common
%defattr(-,root,root)
%doc BUGS BUGS.ja COPYING ChangeLog semi-%{_semiver}/doc
%{_datadir}/info/*
%{_wlpixdir}



%changelog
* Wed Jul  9 2003 Jens Petersen <petersen@redhat.com> - 2.10.1-1
- update to 2.10.1
- apply fix to semi for CAN-2003-0440 temp file vulnerability from Debian

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Dec 31 2002 Jens Petersen <petersen@redhat.com> 2.10.0-1
- update to 2.10.0 and semi-1.14.4
  - require flim-1.14.4
  - update wl-CFG-semi.patch to 1.14.4
- install -xemacs package under datadir
- use buildroot instead if RPM_BUILD_ROOT
- remove -xemacs info files (that are in -common) and empty etc dir
- require and buildrequire apel-10.4

* Thu Jul 11 2002 Jens Petersen <petersen@redhat.com> - 2.8.1-8
- move semi in here and obsolete it

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> - 2.8.1-7
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com> - 2.8.1-6
- automated rebuild

* Tue Mar 26 2002 Jens Petersen <petersen@redhat.com> - 2.8.1-5
- do post and preun install-info for both info files for wl-common

* Mon Feb 25 2002 Jens Petersen <petersen@redhat.com> - 2.8.1-4
- rebuild

* Wed Feb  6 2002 Jens Petersen <petersen@redhat.com> - 2.8.1-3
- own our directories

* Wed Feb  6 2002 Jens Petersen <petersen@redhat.com> - 2.8.1-2
- defattr root common file

* Tue Feb  5 2002 Jens Petersen <petersen@redhat.com> - 2.8.1-1
- update to 2.8.1
- mode-line-mouse2-map patch no longer needed
- patch wl-vars.el to set wl-icon-directory to /usr/share/pixmaps/wl
- remember to clean buildroot

* Tue Oct 23 2001 Jens Petersen <petersen@redhat.com> - 2.6.0-1
- noarch, since xemacs available on ia64 now
- url is now homepage
- buildrequires emacs-21 instead of xemacs-X11-20
- wl-xemacs doesn't prereq install-info
- wl-common for pixmaps and docs
- patch for make-mode-line-mouse2-map
- just use install dirs for filelist

* Thu Sep  6 2001 Jens Petersen <petersen@redhat.com>
- update to 2.6.0

* Thu Aug 30 2001 SATO Satoru <ssato@redhat.com> - 2.4.1-6
- fixed the listing of the files to install (#51983, #51984)

* Mon Aug 13 2001 SATO Satoru <ssato@redhat.com> - 2.4.1-5
- remove the version which specified at BuildRequires
- ExcludeArch: ia64 (wl-xemacs)
- added the wl-xemacs' description (#51473)
- BuildRequires: emacs-X11 (! emacs)

* Wed Jul 25 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Fix group
- Add the info files to the info directory 
- Capitalize and improve summary
- Don't define version and release on top of file
- Don't have macros in description
- s/Copyright/License/

* Wed Jul 23 2001 SATO Satoru <ssato@redhat.com>
- fix [Build]Requires
- exclude ia64 (wl-xemacs)
- comment out (BuildArch: noarch)

* Sat Jun 23 2001 SATO Satoru <ssato@redhat.com>
- 2.4.1pre
- clean up SPEC
- make multi-binarized (wl and wl-xemacs) 
- add PreReq

* Mon Sep 11 2000 Matt Wilson <msw@redhat.com>
- added %%defattr(-,root,root)
- use the internal %%{version} macro instead of using our own %%{ver} definition

* Fri Aug 25 2000 Kazuhisa TAKEI<kazu@redhat.com>
- version 2.2.18
- for Redhat 7.0

* Wed Aug  4 1999 Kazuhisa TAKEI<ktakei@jaist.ac.jp>
- version 2.1.2
- emacs 20.4 base

* Sat May 15 1999 Kazuhisa TAKEI<ktakei@jaist.ac.jp>
- First build
